<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tugas 9 & 10</title>
</head>
<body>
    <div id="app">
        <input type="text" v-model="search" placeholder="Ketikkan kata kunci">
        
        <div class="list" v-for="matkul in mataKuliah">
            <ul>
                <li>{{matkul}}</li>
            </ul>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                search: '',
                lists: [
                    "Kalkulus Dasar",
                    "Fisika Dasar",
                    "Aljabar Linier Elementer",
                    "Aljabar Abstrak",
                    "Algoritma Pemrograman"
                ]
            },
            computed : {
                mataKuliah(){
                    return this.lists.filter(it =>{
                        return it.toLowerCase().includes(this.search.toLowerCase())
                    })
                }
            },
            methods : {}
        })
    </script>
</body>
</html>